Bug 1465376 - [TestOnly] Test metrics store support for multiple RHV environments
[TestOnly] Test metrics store support for multiple RHV environments
Status: VERIFIED
Product: ovirt-engine-metrics
Classification: oVirt
Component: Generic (Show other bugs)
1.0.4.3
Unspecified Unspecified
unspecified Severity medium
: ovirt-4.2.0
: pre-alpha
Assigned To: Shirly Radco
Lukas Svaty
: TestOnly
Depends On:
Blocks: 1475135 oVirt-Metrics-and-Logs
  Show dependency treegraph
 
Reported: 2017-06-27 06:33 EDT by Shirly Radco
Modified: 2017-10-10 02:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Metrics
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)

  None (edit)
Description Shirly Radco 2017-06-27 06:33:00 EDT
Description of problem:
We configured the common data model in a way for it to enable a single metrics store to consume oVirt statistics and logs from multiple environments.

Please test this is indeed working as expected.

Each environment should create 2 dedicated indexes like :

* ovirt-metrics-<ovirt_env_name>
* ovirt-logs-<ovirt_env_name>
Comment 1 Shirly Radco 2017-06-27 06:36:07 EDT
(In reply to Shirly Radco from comment #0)
> Description of problem:
> We configured the common data model in a way for it to enable a single
> metrics store to consume oVirt statistics and logs from multiple
> environments.
> 
> Please test this is indeed working as expected.
> 
> Each environment should create 2 dedicated indexes like :

*Remark: The indexes are in elasticsearch and kibana.
> 
> * ovirt-metrics-<ovirt_env_name>
> * ovirt-logs-<ovirt_env_name>
Comment 2 Lukas Svaty 2017-10-09 08:52:10 EDT
From the ovirt side, I was able to verify all the engine samples are being stored properly, they are searchable by tag.

verified with ovirt-engine-metrics-1.1.1-0.0.master.20171001113530.el7.centos.noarch

Note You need to log in before you can comment on or make changes to this bug.